Loading...
Searching...
No Matches
Magick::DrawableBase Class Reference
Inheritance diagram for Magick::DrawableBase:

## Public Member Functions

virtual void | operator() (MagickCore::DrawingWand *) const
virtual DrawableBase * | copy () const

## Detailed Description

Definition at line 99 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableBase()

Magick::DrawableBase::DrawableBase | ( | void |  | ) |

Definition at line 63 of file Drawable.cpp.

{
}

## ~DrawableBase()

Magick::DrawableBase::~DrawableBase | ( | void |  | ) |

virtual

Definition at line 67 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableBase::copy | ( |  | ) | const

virtual

Definition at line 76 of file Drawable.cpp.

{
return new DrawableBase(*this);
}

## operator()()

void Magick::DrawableBase::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Definition at line 71 of file Drawable.cpp.

{
(void) context_;
}

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Drawable.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Drawable.cpp